Documentation · API reference
GET/api/v1/sites/{site}/consent/records/{id}

One record, with what the visitor was shown, word for word

One record, with what the visitor was shown, word for word.

Parameters

sitein the address
neededA site's id or name
idin the address
neededThe record

The answer

Status 200

RecordDetail One record with what the visitor was shown, word for word (CR-03).

answered_after
number or nullSeconds from the banner appearing to the answer.
choose
stringneeded
kept_until
stringneeded
meaning
stringneeded
no
stringneeded
question
stringneeded
record
RecordViewneeded
yes
stringneeded

Asking

With your token from Settings
curl https://tidekeeper.eu/api/v1/sites/example.org/consent/records/{id} \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN"
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/sites/example.org/consent/records/{id}", {
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
  },
}).then((r) => r.json());